Ticket #46143

savegame2.c: "unused entry" warnings about about activities order

Eröffnet am: 2022-11-29 17:43 Letztes Update: 2022-12-04 17:56

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
2

Details

#44958 fixed "unused entry" warnings about S3_0 savegame3.c. However, those entries are written by S2_6 already, so they are present in some old savegame2.c games too. That part needs to fixed too. Will also improve (at least unify with other similar "discard ... order" implementations) the savegame3.c part while at it.

Ticket-Verlauf (3/5 Historien)

2022-11-29 17:43 Aktualisiert von: cazfi
  • New Ticket "savegame2.c: "unused entry" warnings about about activities order" created
2022-11-30 10:37 Aktualisiert von: cazfi
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Keine to Accepted
Kommentar

Patches for S3_0 and S2_6 attached. Later branches not affected.

2022-12-04 17:56 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden